n = 12345678901234567890 #int(input("Numero: "))

k = 2

while n > 1:
    for x in range(k,n+1):
        if n % x == 0:
            print(x)
            k = x
            n = int(n/x)
            break
